Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-18991

Unable to access debian package 1.525 using apt-get or browse http://pkg.jenkins-ci.org/debian fails

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      try to run apt-get install jenkins=1.525
      or try browse to http://pkg.jenkins-ci.org/debian and access jenkins_1.525_all.deb it fails, 404 file not found

        Attachments

          Activity

          Hide
          scanguskhan Scott MacDonald added a comment -

          Doesn;t appear anyone can install jenkins via apt-get or dbpk at all, any version.

          apt-get install jenkins=1.525
          Reading package lists... Done
          Building dependency tree
          Reading state information... Done
          The following packages were automatically installed and are no longer required:
          libjna-java libcommons-jxpath-java libmaven-dependency-tree-java libjaxp1.3-java junit4 gcj-4.6-jre-lib libmaven-plugin-testing-java libplexus-archiver-java librhino-java
          libplexus-containers-java python-twisted-mail libwagon-java libmodello-java gcj-4.6-base libxerces2-java libavalon-framework-java libgcj-bc libplexus-classworlds-java
          libmaven2-core-java libhttpclient-java libjffi-jni libcommons-beanutils-java libxalan2-java libcommons-jexl-java libjnr-posix-java python-twisted-lore junit
          libplexus-cipher-java libconstantine-java python-twisted-news bsh-gcj libplexus-build-api-java libplexus-i18n-java libplexus-interactivity-api-java libjenkins-remoting-java
          python-twisted-conch python-twisted-words libcommons-cli-java java-wrappers libmaven-common-artifact-filters-java libcommons-logging-java jenkins-cli python-twisted
          libxbean-java libcommons-net2-java libmaven-enforcer-plugin-java libsaxon-java libgcj12 libitext1-java libplexus-ant-factory-java ant libplexus-container-default-java
          libjsch-java bsh libeasymock-java libxml-commons-resolver1.1-java ant-optional fop python-txzookeeper libbsf-java libapache-pom-java libplexus-io-java libplexus-bsh-factory-java
          libclassworlds-java libxml-commons-external-java libplexus-interpolation-java libgoogle-collections-java libargs4j-java libanimal-sniffer-java libhttpcore-java
          libservlet2.5-java libcommons-httpclient-java libcommons-vfs-java libjsr305-java libslf4j-java libasm3-java libjsoup-java libregexp-java libfop-java python-zookeeper
          libcommons-configuration-java rhino python-twisted-runner libjffi-java libxmlgraphics-commons-java python-support python-pydot libcommons-codec-java jenkins-common
          libcommons-lang-java libhamcrest-java libnetbeans-cvsclient-java libcommons-parent-java libcommons-collections3-java libgcj-common libplexus-utils-java
          libplexus-sec-dispatcher-java libjaffl-java libmaven-scm-java libdoxia-java libcommons-digester-java libbatik-java libbackport-util-concurrent-java libjetty-java
          liblog4j1.2-java libjline-java libcommons-io-java python-txaws python-dateutil libzookeeper-mt2 libmaven-invoker-java python-pyasn1 libganymed-ssh2-java python-pyparsing
          Use 'apt-get autoremove' to remove them.
          The following extra packages will be installed:
          daemon
          The following NEW packages will be installed:
          daemon jenkins
          0 upgraded, 2 newly installed, 0 to remove and 55 not upgraded.
          Need to get 55.8 MB/55.9 MB of archives.
          After this operation, 61.7 MB of additional disk space will be used.
          Do you want to continue [Y/n]? Y
          Err http://pkg.jenkins-ci.org/debian/ binary/ jenkins 1.525
          404 Not Found
          Failed to fetch http://pkg.jenkins-ci.org/debian/binary/jenkins_1.525_all.deb 404 Not Found
          E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

          20:39:29 (100) root@lvs-re-inf1-jenkinsmaster3001.qa:~

          1. apt-get install jenkins=1.524
            Reading package lists... Done
            Building dependency tree
            Reading state information... Done
            E: Version '1.524' for 'jenkins' was not found
            Any one trying t install jenkisn via pat-get is essentially blocked...Sadly, that include me

          Also tried the debian native packages, via dbpk, but those are failing in other ways.

          dpkg --install jenkins_1.524_all.deb
          (Reading database ... 62588 files and directories currently installed.)
          Unpacking jenkins (from jenkins_1.524_all.deb) ...
          dpkg: error processing jenkins_1.524_all.deb (--install):
          trying to overwrite '/usr/share/jenkins/jenkins.war', which is also in package jenkins-common 1.424.6+dfsg-1ubuntu0.1
          dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
          Errors were encountered while processing:
          jenkins_1.524_all.deb

          Show
          scanguskhan Scott MacDonald added a comment - Doesn;t appear anyone can install jenkins via apt-get or dbpk at all, any version. apt-get install jenkins=1.525 Reading package lists... Done Building dependency tree Reading state information... Done The following packages were automatically installed and are no longer required: libjna-java libcommons-jxpath-java libmaven-dependency-tree-java libjaxp1.3-java junit4 gcj-4.6-jre-lib libmaven-plugin-testing-java libplexus-archiver-java librhino-java libplexus-containers-java python-twisted-mail libwagon-java libmodello-java gcj-4.6-base libxerces2-java libavalon-framework-java libgcj-bc libplexus-classworlds-java libmaven2-core-java libhttpclient-java libjffi-jni libcommons-beanutils-java libxalan2-java libcommons-jexl-java libjnr-posix-java python-twisted-lore junit libplexus-cipher-java libconstantine-java python-twisted-news bsh-gcj libplexus-build-api-java libplexus-i18n-java libplexus-interactivity-api-java libjenkins-remoting-java python-twisted-conch python-twisted-words libcommons-cli-java java-wrappers libmaven-common-artifact-filters-java libcommons-logging-java jenkins-cli python-twisted libxbean-java libcommons-net2-java libmaven-enforcer-plugin-java libsaxon-java libgcj12 libitext1-java libplexus-ant-factory-java ant libplexus-container-default-java libjsch-java bsh libeasymock-java libxml-commons-resolver1.1-java ant-optional fop python-txzookeeper libbsf-java libapache-pom-java libplexus-io-java libplexus-bsh-factory-java libclassworlds-java libxml-commons-external-java libplexus-interpolation-java libgoogle-collections-java libargs4j-java libanimal-sniffer-java libhttpcore-java libservlet2.5-java libcommons-httpclient-java libcommons-vfs-java libjsr305-java libslf4j-java libasm3-java libjsoup-java libregexp-java libfop-java python-zookeeper libcommons-configuration-java rhino python-twisted-runner libjffi-java libxmlgraphics-commons-java python-support python-pydot libcommons-codec-java jenkins-common libcommons-lang-java libhamcrest-java libnetbeans-cvsclient-java libcommons-parent-java libcommons-collections3-java libgcj-common libplexus-utils-java libplexus-sec-dispatcher-java libjaffl-java libmaven-scm-java libdoxia-java libcommons-digester-java libbatik-java libbackport-util-concurrent-java libjetty-java liblog4j1.2-java libjline-java libcommons-io-java python-txaws python-dateutil libzookeeper-mt2 libmaven-invoker-java python-pyasn1 libganymed-ssh2-java python-pyparsing Use 'apt-get autoremove' to remove them. The following extra packages will be installed: daemon The following NEW packages will be installed: daemon jenkins 0 upgraded, 2 newly installed, 0 to remove and 55 not upgraded. Need to get 55.8 MB/55.9 MB of archives. After this operation, 61.7 MB of additional disk space will be used. Do you want to continue [Y/n] ? Y Err http://pkg.jenkins-ci.org/debian/ binary/ jenkins 1.525 404 Not Found Failed to fetch http://pkg.jenkins-ci.org/debian/binary/jenkins_1.525_all.deb 404 Not Found E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing? 20:39:29 (100) root@lvs-re-inf1-jenkinsmaster3001.qa:~ apt-get install jenkins=1.524 Reading package lists... Done Building dependency tree Reading state information... Done E: Version '1.524' for 'jenkins' was not found Any one trying t install jenkisn via pat-get is essentially blocked...Sadly, that include me Also tried the debian native packages, via dbpk, but those are failing in other ways. dpkg --install jenkins_1.524_all.deb (Reading database ... 62588 files and directories currently installed.) Unpacking jenkins (from jenkins_1.524_all.deb) ... dpkg: error processing jenkins_1.524_all.deb (--install): trying to overwrite '/usr/share/jenkins/jenkins.war', which is also in package jenkins-common 1.424.6+dfsg-1ubuntu0.1 dpkg-deb: error: subprocess paste was killed by signal (Broken pipe) Errors were encountered while processing: jenkins_1.524_all.deb
          Hide
          kohsuke Kohsuke Kawaguchi added a comment -

          solved now.

          Show
          kohsuke Kohsuke Kawaguchi added a comment - solved now.

            People

            Assignee:
            kohsuke Kohsuke Kawaguchi
            Reporter:
            mwigzell Mark Wigzell
            Votes:
            1 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: